For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate worker access token
      • DELDelete worker access token
LogoLogo
SupportDeel Home
EndpointsWorker Session

Delete worker access token

DELETE
/workers/:worker_id/session
DELETE
/rest/v2/workers/:worker_id/session
$curl -X DELETE https://api.letsdeel.com/rest/v2/workers/5f4e1f77-0f1c-4f6d-8b0f-1b1b4b1b1b1b/session \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{}

Immediately revokes the active access token for the worker identified by worker_id, terminating all API access granted by that token. Token scopes: admin:worker

Was this page helpful?
Previous

/ic/workers/invoices/:invoice_id/pdf

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequired
The ID of the worker whose access token you want to delete.

Response

Successful operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error